## neutron-lbaas 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6

eventlet>=0.17.4
requests>=2.5.2
netaddr!=0.7.16,>=0.7.12
SQLAlchemy<1.1.0,>=0.9.9
alembic>=0.8.0
six>=1.9.0
oslo.config>=2.3.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
python-barbicanclient>=3.3.0
pyasn1
pyasn1-modules
pyOpenSSL>=0.14
stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
neutron-lbaas (2:7.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.
  * d/control: Add neutron-lbaasv2-agent binary (LP: #1504367).
  * d/neutron-lbaasv2-agent.in*: Added for neutron-lbaasv2-agent.
  * d/control: Add neutron-lbaas-common binary package.
  * d/neutron-lbaas*.install: Move common install files to
    neutron-lbaas-common.install

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 16:43:36 -0400

neutron-lbaas (2:7.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 09:54:21 -0400

neutron-lbaas (2:7.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 14:19:39 -0400

neutron-lbaas (2:7.0.0~b3-0ubuntu2) wily; urgency=medium

  * Move neutron_lbaas.conf and services_lbaas.conf to python-neutron-lbaas
    for use across agent and central neutron-server processes.

 -- James Page <james.page@ubuntu.com>  Mon, 14 Sep 2015 16:28:34 +0100

neutron-lbaas (2:7.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 16:00:46 -0400

neutron-lbaas (2:7.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 14:26:04 -0400

neutron-lbaas (2:7.0.0~b1-0ubuntu4) wily; urgency=medium

  * d/neutron-lbaas-agent.install: Install missing configuration files
    (LP: #1460228).

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 12:18:34 +0100

neutron-lbaas (2:7.0.0~b1-0ubuntu3) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 11:25:45 +0100

neutron-lbaas (2:7.0.0~b1-0ubuntu2) wily; urgency=medium

  * Switch neutron-common -> python-neutron as BD for testing.
  * Ignore broken dependency generation for oslo.messaging_.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jul 2015 13:33:29 +0100

neutron-lbaas (2:7.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * Align (build)-depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Jun 2015 10:07:38 +0100

neutron-lbaas (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Apr 2015 17:35:09 +0200

neutron-lbaas (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: Align version requirements with upstream.
    - debian/patches/skip-failing-tests.patch: Skipped failing tests.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Apr 2015 09:59:17 -0400

neutron-lbaas (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: Align version requirements with upstream, add new
      dependencies on oslo-log and python-barbicanclient.
  * Enable unit test suite execution:
    - d/control: Switch BD on python-neutron -> neutron-common.
    - d/rules: Enable execution of unit tests, skipping tests that require
      access to /etc/neutron/neutron.conf.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:19:14 +0100

neutron-lbaas (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  * New upstream release.
    - d/control: Update/align with upstream dependency changes.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Feb 2015 09:24:28 +0000

neutron-lbaas (1:2015.1~b1-0ubuntu5) vivid; urgency=medium

  * d/copyright: Update reference for Format field.
  * d/control: Add ${python:Depends} to python-neutron-lbaas package.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Jan 2015 10:02:48 +0000

neutron-lbaas (1:2015.1~b1-0ubuntu4) vivid; urgency=medium

  * Initial release for OpenStack Kilo-1 milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Jan 2015 11:31:23 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd --buildsystem=python_distutils

# NOTE(jamespage): Some tests need access to /etc/neutron/neutron.conf,
#                  skip these as this file will contain access credentials
#                  so is not world readable.
# neutron_lbaas.tests.unit.agent.test_agent.TestLbaasService.test_main
# neutron_lbaas.tests.unit.common.tls_utils.test_cert_parser.TestTLSParseUtils.test_read_private_key
# neutron_lbaas.tests.unit.services.loadbalancer.agent.test_agent.TestLbaasService.test_main
SKIPTEST := (?!.*TestTLSParseUtils.test_read_private_key.*)(?!.*TestLbaasService.test_main.*)
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	PYTHONPATH=$(CURDIR) testr run --subunit 'neutron_lbaas\.tests\.unit\.$(SKIPTEST)' | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ ;
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	rm -f debian/*.upstart debian/*.init debian/*.service

## neutron-lbaas 7.1.1

=== debian/changelog ===
neutron-lbaas (2:7.1.1-0ubuntu1~cloud1) trusty-liberty; urgency=medium

  * Add patch to ensure namespace deleted by v1 driver delete_pool (LP: #1664203)
    - d/p/ensure_namespace_deleted_with_pool.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 13 Feb 2017 15:17:31 +0000

neutron-lbaas (2:7.1.1-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jun 2016 21:10:15 +0000

neutron-lbaas (2:7.1.1-0ubuntu1) wily; urgency=medium

  * New upstream stable point release for OpenStack Liberty (LP: #1594867).
  * d/p/skip-failing-tests.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 21 Jun 2016 12:22:41 -0400

neutron-lbaas (2:7.0.4-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).

 -- David Della Vecchia <ddv@canonical.com>  Wed, 13 Apr 2016 11:35:53 -0400

=== debian/control ===
Source: neutron-lbaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-barbicanclient (>= 3.3.0),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:7.0.0~b1),
                     python-openssl (>= 0.14),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pyasn1,
                     python-pyasn1-modules,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.7),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Homepage: http://github.com/openstack/neutron-lbaas

Package: python-neutron-lbaas
Architecture: all
Depends: alembic (>= 0.8.0),
         python-barbicanclient (>= 3.3.0),
         python-eventlet (>= 0.17.4),
         python-netaddr (>= 0.7.12),
         python-openssl (>= 0.14),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-pyasn1,
         python-pyasn1-modules,
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.7),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Replaces: neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Loadbalancer-as-a-Service driver for Neutron.

Package: neutron-lbaas-common
Architecture: all
Depends: haproxy,
         neutron-common,
         python-neutron-lbaas (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
Replaces: neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service common files.

Package: neutron-lbaas-agent
Architecture: all
Depends: neutron-lbaas-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - LBaaS agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service (LBaaS) agent.

Package: neutron-lbaasv2-agent
Architecture: all
Depends: neutron-lbaas-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - LBaaSv2 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service v2 (LBaaSv2) agent.

## neutron-lbaas 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
neutron-lib>=0.0.1 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.0 # MIT
six>=1.9.0 # MIT
oslo.config>=3.7.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-barbicanclient>=3.3.0 # Apache-2.0
pyasn1 # BSD
pyasn1-modules # BSD
pyOpenSSL>=0.14 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0

=== debian/changelog ===
neutron-lbaas (2:8.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/control: Set min python-neutron BD to 2:8.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 15:55:37 -0400

neutron-lbaas (2:8.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 09:40:37 -0400

neutron-lbaas (2:8.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-failing-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Mar 2016 14:46:12 -0500

neutron-lbaas (2:8.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-failing-tests.patch: Rebased.
  * d/rules: Generate config files with generate_config_file_samples.sh.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jan 2016 10:36:21 +0100

neutron-lbaas (2:8.0.0~b1-0ubuntu2) xenial; urgency=medium

  * No change rebuild with neutron 8.0.0~b1-0ubuntu1.

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 20 Dec 2015 14:33:56 -0500

neutron-lbaas (2:8.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 10:29:41 -0500

=== debian/control ===
--- 
+++ 
@@ -13,30 +13,35 @@
 Build-Depends-Indep: alembic (>= 0.8.0),
                      python-barbicanclient (>= 3.3.0),
                      python-coverage (>= 3.6),
-                     python-eventlet (>= 0.17.4),
+                     python-eventlet (>= 0.18.2),
                      python-fixtures (>= 1.3.1),
                      python-hacking,
+                     python-keystoneauth1 (>= 2.1.0),
                      python-mock (>= 1.2),
                      python-netaddr (>= 0.7.12),
-                     python-neutron (>= 2:7.0.0~b1),
+                     python-neutron (>= 2:8.0.0),
+                     python-neutron-lib (>= 0.0.1),
                      python-openssl (>= 0.14),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
-                     python-oslo.db (>= 2.4.1),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.db (>= 4.1.0),
+                     python-oslo.log (>= 1.14.0),
+                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-pyasn1,
                      python-pyasn1-modules,
-                     python-requests (>= 2.5.2),
-                     python-requests-mock (>= 0.6.0),
+                     python-pymysql,
+                     python-requests (>= 2.8.1),
+                     python-requests-mock (>= 0.7.0),
                      python-six (>= 1.9.0),
-                     python-sqlalchemy (>= 0.9.7),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
-                     python-tempest-lib (>= 0.8.0),
+                     python-tempest-lib (>= 0.14.0),
+                     python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-webob (>= 1.2.3),
@@ -52,21 +57,23 @@
 Architecture: all
 Depends: alembic (>= 0.8.0),
          python-barbicanclient (>= 3.3.0),
-         python-eventlet (>= 0.17.4),
+         python-eventlet (>= 0.18.2),
+         python-keystoneauth1 (>= 2.1.0),
          python-netaddr (>= 0.7.12),
+         python-neutron-lib (>= 0.0.1),
          python-openssl (>= 0.14),
-         python-oslo.config (>= 1:2.3.0),
-         python-oslo.db (>= 2.4.1),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.config (>= 1:3.7.0),
+         python-oslo.db (>= 4.1.0),
+         python-oslo.log (>= 1.14.0),
+         python-oslo.messaging (>= 4.0.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.5.0),
          python-pyasn1,
          python-pyasn1-modules,
-         python-requests (>= 2.5.2),
+         python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.7),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
          ${misc:Depends},
          ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 
 %:
 	dh $@ --with python2,systemd --buildsystem=python_distutils
+
+override_dh_install:
+	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
+	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
+	dh_install
 
 # NOTE(jamespage): Some tests need access to /etc/neutron/neutron.conf,
 #                  skip these as this file will contain access credentials

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron-lbaas neutron-lbaas-(\d.*)\.tar\.gz

## neutron-lbaas 8.3.0

=== neutron_lbaas/tests/tempest/requirements.txt ===
# Additional requirements for api tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

tempest>=11.0.0,<12.1.0  # Apache-2.0

=== debian/changelog ===
neutron-lbaas (2:8.3.0-0ubuntu3) xenial; urgency=medium

  * debian/neutron-lbaas-common.install: Remove cron jobs since
    it will cause a race with L3 agents and neutron. (LP: #1623664)  

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Mar 2017 14:23:58 -0400

neutron-lbaas (2:8.3.0-0ubuntu2) xenial; urgency=medium

  * Add patch to ensure namespace deleted by v1 driver delete_pool (LP: #1664203)
    - d/p/ensure_namespace_deleted_with_pool.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 13 Feb 2017 15:17:31 +0000

neutron-lbaas (2:8.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream stable point release for OpenStack Mitaka (LP: #1633191).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Oct 2016 15:32:27 -0400

neutron-lbaas (2:8.2.0-0ubuntu1) xenial; urgency=medium

  * New upstream stable point release for OpenStack Mitaka (LP: #1619318).
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 27 Sep 2016 08:31:07 -0400

neutron-lbaas (2:8.1.0-0ubuntu0.16.04.2) xenial; urgency=medium

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Mitaka (LP: #1580674).

  [ Corey Bryant ]
  * d/changelog: Change package version to 2:8.1.0-0ubuntu0.16.04.1 in order
    to not conflict with yakkety version 2:8.1.0-0ubuntu1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 May 2016 08:12:22 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                      python-neutron (>= 2:8.0.0),
                      python-neutron-lib (>= 0.0.1),
                      python-openssl (>= 0.14),
-                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.concurrency (>= 3.7.1),
                      python-oslo.config (>= 1:3.7.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.log (>= 1.14.0),

## neutron-lbaas 9.0.0~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
requests>=2.10.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
neutron-lib>=0.2.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.4 # MIT
six>=1.9.0 # MIT
oslo.config>=3.12.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0
python-barbicanclient>=4.0.0 # Apache-2.0
pyasn1 # BSD
pyasn1-modules # BSD
pyOpenSSL>=0.14 # Apache-2.0
stevedore>=1.10.0 # Apache-2.0
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
keystoneauth1>=2.7.0 # Apache-2.0

=== debian/changelog ===
neutron-lbaas (1:9.0.0~b2-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Fix requirements.txt.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 16:15:24 +0000

neutron-lbaas (1:9.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed short descriptions.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 20:15:54 +0000

neutron-lbaas (1:9.0.0~b1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Align the package with the one from Ubuntu, so that it is compatible with
    upstream puppet-openstack:
    - Moved /usr/bin/* to python-lbaas-agent, so that we can later on provide a
      Python 3 implementation.
    - Using lbaas-agent-common for config files only and 2 packages for the
      daemons.
    - Adds some Breaks+Replaces to allow upgrade to this new version.
  * Fixed debian/copyright (missing holders).
  * Fixed wrong generation of /etc/neutron/{neutron,services}_lbaas.conf

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Jun 2016 15:45:22 +0200

neutron-lbaas (1:8.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.8 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 Apr 2016 11:15:20 +0200

neutron-lbaas (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 15:48:15 +0200

neutron-lbaas (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Sep 2015 10:05:31 +0200

neutron-lbaas (2015.1.0-3) unstable; urgency=medium

  * Rebuilt for SQLAlchemy >= 1.0 (Closes: #794355).
  * Black list some unit tests:
    - neutron_lbaas.tests.unit.drivers.haproxy.test_synchronous_driver.TestHaproxyNSDriver.test_cleanup_namespace
    - neutron_lbaas.tests.unit.drivers.radware.test_v2_plugin_driver.TestLBaaSDriver.test_wf_created_on_first_member_creation
    - neutron_lbaas.tests.unit.drivers.radware.test_v2_plugin_driver.TestLBaaSDriverRestClient.test_flip_servers

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 08:30:56 +0000

neutron-lbaas (2015.1.0-2) unstable; urgency=medium

  * Adds a Breaks+Replaces of neutron-common (<< 2015.1~) to avoid clashes
    at upgrade time when overwriting neutron/rootwrap.d/lbaas-haproxy.filters
    (Closes: #784295).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 May 2015 23:42:47 +0200

neutron-lbaas (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2015 16:52:02 +0000

neutron-lbaas (2015.1~rc2-1) unstable; urgency=medium

  * Initial release. (Closes: #777755)

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Mar 2015 16:02:15 +0100

=== debian/control ===
Source: neutron-lbaas
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-barbicanclient (>= 4.0.0),
                     python-coverage,
                     python-cryptography (>= 1.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 2.7.0),
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:9.0.0~b1),
                     python-neutron-lib (>= 0.2.0),
                     python-openssl (>= 0.14),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.12.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2,
                     python-pyasn1,
                     python-pyasn1-modules,
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.10.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python-webtest,
                     subunit,
                     python-tempest (>= 1:12.1.0),
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/neutron-lbaas
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/neutron-lbaas.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/neutron-lbaas.git

Package: python-neutron-lbaas
Architecture: all
Section: python
Breaks: neutron-lbaas-agent (<< 1:9.0.0~b1),
Replaces: neutron-lbaas-agent (<< 1:9.0.0~b1),
Depends: alembic (>= 0.8.4),
         python-barbicanclient (>= 4.0.0),
         python-cryptography (>= 1.0),
         python-eventlet (>= 0.18.4),
         python-keystoneauth1 (>= 2.7.0),
         python-netaddr (>= 0.7.12),
         python-neutron (>= 2:9.0.0~b1),
         python-neutron-lib (>= 0.2.0),
         python-openssl (>= 0.14),
         python-oslo.config (>= 1:3.12.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.15.0),
         python-pbr (>= 1.8),
         python-pyasn1,
         python-pyasn1-modules,
         python-pymysql,
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.10.0),
         python-sqlalchemy (>= 1.0.10),
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping
Provides: ${python:Provides}
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron - Python 2.7 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 2.7 library for the Neutron load balancer.

Package: neutron-lbaas-common
Architecture: all
Breaks: neutron-lbaas-agent (<< 1:9.0.0~b1),
Replaces: neutron-lbaas-agent (<< 1:9.0.0~b1),
Depends: haproxy,
         neutron-common,
         python-neutron-lbaas (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack networking - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains common files for the Neutron load balancer.

Package: neutron-lbaas-agent
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common,
         neutron-lbaas-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: neutron-common (<< 2015.1~)
Replaces: neutron-common (<< 2015.1~)
Description: Loadbalancer-as-a-Service driver for OpenStack networking - Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the LBaaS agent.

Package: neutron-lbaasv2-agent
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common,
         neutron-lbaas-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: neutron-common (<< 2015.1~)
Replaces: neutron-common (<< 2015.1~)
Description: Loadbalancer-as-a-Service driver for OpenStack networking - Agent v2
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the LBaaS v2 agent.

## neutron-lbaas 9.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
requests>=2.10.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
neutron-lib>=0.4.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.4 # MIT
six>=1.9.0 # MIT
oslo.config>=3.14.0 # Apache-2.0
oslo.db>=4.10.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
python-barbicanclient>=4.0.0 # Apache-2.0
pyasn1 # BSD
pyasn1-modules # BSD
pyOpenSSL>=0.14 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0

=== debian/changelog ===
neutron-lbaas (1:9.0.0~b3-1+56~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 20 Sep 2016 17:36:31 +0000

neutron-lbaas (1:9.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Rebased fix-requirements.txt.patch.
  * Add --parallel when running unit tests.
  * Fix requirements.txt.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 14:49:52 +0200

=== debian/control ===
--- 
+++ 
@@ -19,22 +19,22 @@
                      python-eventlet (>= 0.18.4),
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-keystoneauth1 (>= 2.7.0),
+                     python-keystoneauth1 (>= 2.10.0),
                      python-mock (>= 2.0),
                      python-mysqldb,
                      python-netaddr (>= 0.7.12),
-                     python-neutron (>= 2:9.0.0~b1),
-                     python-neutron-lib (>= 0.2.0),
+                     python-neutron (>= 2:9.0.0~b3),
+                     python-neutron-lib (>= 0.4.0),
                      python-openssl (>= 0.14),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.12.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-psycopg2,
@@ -44,7 +44,7 @@
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 1.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-testresources,
                      python-testscenarios,
@@ -56,9 +56,9 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron-lbaas
+Vcs-Git: https://git.openstack.org/openstack/deb-neutron-lbaas
 Homepage: https://github.com/openstack/neutron-lbaas
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/neutron-lbaas.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/neutron-lbaas.git
 
 Package: python-neutron-lbaas
 Architecture: all
@@ -69,26 +69,26 @@
          python-barbicanclient (>= 4.0.0),
          python-cryptography (>= 1.0),
          python-eventlet (>= 0.18.4),
-         python-keystoneauth1 (>= 2.7.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-netaddr (>= 0.7.12),
-         python-neutron (>= 2:9.0.0~b1),
-         python-neutron-lib (>= 0.2.0),
+         python-neutron (>= 2:9.0.0~b3),
+         python-neutron-lib (>= 0.4.0),
          python-openssl (>= 0.14),
-         python-oslo.config (>= 1:3.12.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.reports (>= 0.6.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.15.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-pyasn1,
          python-pyasn1-modules,
          python-pymysql,
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-sqlalchemy (>= 1.0.10),
          ${misc:Depends},
          ${python:Depends},

## neutron-lbaas 9.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 alembic>=0.8.4 # MIT
 six>=1.9.0 # MIT
 oslo.config>=3.14.0 # Apache-2.0
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
 oslo.reports>=0.6.0 # Apache-2.0

=== debian/changelog ===
neutron-lbaas (1:9.0.0~rc1-1+59~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 14:55:03 +0000

neutron-lbaas (1:9.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable (Closes: #835137).
  * Also package the .j2 templates (Closes: #835249).
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Rebased fix-requirements.txt.patch.
  * Add --parallel when running unit tests.
  * Fix requirements.txt.
  * d/s/options: extend-diff-ignore of .gitreview and egg-info.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 14:49:52 +0200

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-psycopg2,
                      python-pyasn1,
                      python-pyasn1-modules,
@@ -56,8 +56,8 @@
                      tempest (>= 1:12.1.0),
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron-lbaas
-Vcs-Git: https://git.openstack.org/openstack/deb-neutron-lbaas
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron-lbaas?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-neutron-lbaas -b debian/newton
 Homepage: https://github.com/openstack/neutron-lbaas
 
 Package: python-neutron-lbaas

## neutron-lbaas 9.0.0

=== debian/changelog ===
neutron-lbaas (1:9.0.0-1+59~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 06 Oct 2016 21:23:32 +0000

neutron-lbaas (1:9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:16:36 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                      python-keystoneauth1 (>= 2.10.0),
                      python-mock (>= 2.0),
                      python-mysqldb,
-                     python-netaddr (>= 0.7.12),
+                     python-netaddr (>= 0.7.13),
                      python-neutron (>= 2:9.0.0~b3),
                      python-neutron-lib (>= 0.4.0),
                      python-openssl (>= 0.14),
@@ -70,7 +70,7 @@
          python-cryptography (>= 1.0),
          python-eventlet (>= 0.18.4),
          python-keystoneauth1 (>= 2.10.0),
-         python-netaddr (>= 0.7.12),
+         python-netaddr (>= 0.7.13),
          python-neutron (>= 2:9.0.0~b3),
          python-neutron-lib (>= 0.4.0),
          python-openssl (>= 0.14),

## neutron-lbaas 9.1.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 eventlet!=0.18.3,>=0.18.2 # MIT
 requests>=2.10.0 # Apache-2.0
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 neutron-lib>=0.4.0 # Apache-2.0
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 alembic>=0.8.4 # MIT

=== debian/changelog ===
neutron-lbaas (1:9.1.0-2) unstable; urgency=medium

  * Patch requirements to allow SQLAlchemy 1.1.x.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Dec 2016 11:54:07 +0100

neutron-lbaas (1:9.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Rebuilt with SQLAlchemy 1.1.4.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Dec 2016 10:00:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 23~),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp

	# lbaas_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-lbaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/lbaas_agent.ini \
		--wrap-width 140 \
		--namespace neutron.lbaas.agent \
		--namespace oslo.log
	pkgos-fix-config-default $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/lbaas_agent.ini DEFAULT interface_driver openvswitch

	# neutron_lbaas.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/neutron_lbaas.conf \
		--wrap-width 140 \
		--namespace neutron.lbaas

	# services_lbaas.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/services_lbaas.conf \
		--wrap-width 140 \
		--namespace neutron.lbaas.service
	pkgos-fix-config-default $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/services_lbaas.conf service_providers service_provider LOADBALANCERV2:Haproxy:neutron_lbaas.drivers.haproxy.plugin_driver.HaproxyOnHostPluginDriver:default

	dh_install -O--buildsystem=python_distutils --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel 'neutron_lbaas\.tests\.unit\.(?!(.*test_synchronous_driver.TestHaproxyNSDriver.test_cleanup_name.*|.*test_v2_plugin_driver.TestLBaaSDriver.test_wf_created_on_first_member_creation.*|.*test_v2_plugin_driver.TestLBaaSDriverRestClient.test_flip_servers.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
